Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## djbuch.kapitel_10
Class CollectionComparison

    java.lang.Object
      |
      +--NotesThread
            |
            +--djbuch.kapitel_10.CollectionComparison

public class CollectionComparison
extends NotesThread

Mißt Ausführungsdauer für verschiedene Suchoperationen und Loopdauer über DocumentCollection, ViewEntryCollection und View Beispielergebnis für DIIOP Ausführung: Aufräumen: Lösche 202 Dokumente. Erzeuge 1010 neue Dokumente. FT Index aktualisieren. SETUP: Zu ladende Items pro Dokument: 8 Anzahl der Suchoperationen pro Suche: 5 Anzahl der Dokumente: 1010 Ausführungsort der Session: Auf Server CN=Java/O=DJBUCH Ergebnis: Loop durch DocumentCollection: 2640ms / Treffer: 111 Loop durch ViewEntryCollection: 2735ms / Treffer: 111 Loop durch ViewEntryCollection mit getItemValue: 2687ms / Treffer: 111 Loop durch View per getFirst/NextDocument (1010 Docs) 25875ms Im Vergleich DocumentCollection (1010 Docs) 22359ms Beispielergebnis für lokale Ausführung Aufräumen: Lösche 1010 Dokumente. Erzeuge 1010 neue Dokumente. FT Index aktualisieren. SETUP: Zu ladende Items pro Dokument: 8 Anzahl der Suchoperationen pro Suche: 5 Anzahl der Dokumente: 1010 Ausführungsort der Session: Lokal Ergebnis: Loop durch DocumentCollection: 234ms / Treffer: 111 Loop durch ViewEntryCollection: 297ms / Treffer: 111 Loop durch ViewEntryCollection mit getItemValue: 390ms / Treffer: 111 Loop durch View per getFirst/NextDocument (1010 Docs) 2126ms Im Vergleich DocumentCollection (1010 Docs) 1703ms

Author:
  Thomas Ekert
See Also:
  Serialized Form

Constructor Summary
`CollectionComparison()`

Method Summary
`static void` | `main(java.lang.String[] args)`
`void` | `runNotes()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CollectionComparison

    public CollectionComparison()

Method Detail

### main

    public static void main(java.lang.String[] args)

### runNotes

    public void runNotes()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD